﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Drawing;

namespace OpenColorTif
{
    class Program
    {
        static void Main(string[] args)
        {

            StringBuilder sb = new StringBuilder();
            AttemptOpenFile("BlackAndWhiteSCan.tif",sb);
            AttemptOpenFile("ColorScan.tif", sb);
            Console.Write(sb.ToString());
            Console.ReadLine();
        }

        private static void AttemptOpenFile(string fileName, StringBuilder sb)
        {
            sb.AppendLine(fileName);
            try
            {
                using (FileStream fs = File.OpenRead(fileName))
                {
                    using (Image img = Image.FromStream(fs)) { sb.AppendLine("One Success"); }

                }
            }
            catch (Exception ex)
            {
                sb.AppendLine("One Failed");
                sb.AppendLine(ex.ToString());
            }

            try
            {
                using (Image img = Bitmap.FromFile(fileName)) { sb.AppendLine("Two Success"); }
            }
            catch (Exception ex)
            {
                sb.AppendLine("Two Failed");
                sb.AppendLine(ex.ToString());
            }

            try
            {
                using (FileStream fs = File.OpenRead(fileName))
                {
                    using (Image img = Bitmap.FromStream(fs, true, false)) { sb.AppendLine("Three Success"); }
                }
            }
            catch (Exception ex)
            {
                sb.AppendLine("Three Failed");
                sb.AppendLine(ex.ToString());
            }
        }
    }
}
